Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231278 - [Openoffice] [Cursoring] - Cursor navigation wrong, placing middle of the Composed char
Summary: [Openoffice] [Cursoring] - Cursor navigation wrong, placing middle of the Com...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 11:36 UTC by Satyabrata Maitra
Modified: 2007-11-17 01:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-08 09:21:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
wrong cursor nevigation image (deleted)
2007-03-07 11:36 UTC, Satyabrata Maitra
no flags Details

Description Satyabrata Maitra 2007-03-07 11:36:54 UTC
Description of problem:
Cursor is placing at the middle of the char which is wrong.

Version-Release number of selected component (if applicable):
openoffice.org-libs-1.1.5-4.6.0.el4
openoffice.org-1.1.5-4.6.0.el4
openoffice.org-i18n-1.1.5-4.6.0.el4

How reproducible:
Always

Steps to Reproduce:
1. Login in EL4 AS with hi_IN language support
2. Open oowriter
3. Press CTRL+SPACE to enable iiimf, select 'Hi'
4. Select 'inscript' keyboard layout by pressing F6.
5. Type key sequence : - bfmdbbd/ehr
6. Press left-arrow-key 2 times.
7. The cursor will be found at the middle of the composed char
  
Actual results:
Cursor showing at the middle of the composed char

Expected results:
Cursor should alswys place either left or right hand side of the composed char
or any char.

Additional info:
1. Wrong nevigation Image attached.
2. Bug filed for RHEL5 and resolved. Bug number : Bug #213648

Comment 1 Satyabrata Maitra 2007-03-07 11:36:54 UTC
Created attachment 149447 [details]
wrong cursor nevigation image

Comment 2 Caolan McNamara 2007-03-07 11:45:49 UTC
Is there any merit to backporting such things to RHEL-4 ? Improved CTL support
was a particular RHEL-5 goal, I'm not sure it will work out to individually
backport particular parts back to RHEL-4 without getting into a muddle with
needing to also backport the changes to the fonts, and icu upgrade and then the
various other fixes.

Comment 3 Lawrence Lim 2007-03-08 06:51:47 UTC
I dont think so. This should be consider as 'for the record' purpose. I would
recommend CLOSED as WONTFIX.

Comment 4 RHEL Product and Program Management 2007-03-08 09:21:46 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.